org.apache.ignite.internal.binary

## Class BinaryNoopMetadataHandler

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryNoopMetadataHandler

All Implemented Interfaces:
  BinaryMetadataHandler

    public class BinaryNoopMetadataHandler
    extends Object
    implements BinaryMetadataHandler

No-op metadata handler.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addMeta(int typeId, BinaryType meta, boolean failIfUnregistered)` Adds a new or updates an existing metadata to the latest version.
`void` `addMetaLocally(int typeId, BinaryType meta, boolean failIfUnregistered)` Adds meta data locally on current node without sending any messages.
`static BinaryNoopMetadataHandler` `instance()`
`Collection<BinaryType>` `metadata()` Gets all metadata known to the node.
`BinaryType` `metadata(int typeId)` Gets metadata for provided type ID.
`BinaryType` `metadata(int typeId, int schemaId)` Gets metadata for provided type ID and schema ID.
`BinaryMetadata` `metadata0(int typeId)` Gets unwrapped metadata for provided type ID.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### instance

    public static BinaryNoopMetadataHandler instance()

Returns:
  Instance.

#### addMeta

    public void addMeta(int typeId,
                        BinaryType meta,
                        boolean failIfUnregistered)
                 throws BinaryObjectException

Adds a new or updates an existing metadata to the latest version. See `MetadataUpdateProposedMessage` javadoc for detailed protocol description.

Specified by:
  `addMeta` in interface `BinaryMetadataHandler`
Parameters:
  `typeId` - Type ID.
  `meta` - Metadata.
  `failIfUnregistered` - Fail if unregistered.
Throws:
  `BinaryObjectException` - In case of error.

#### addMetaLocally

    public void addMetaLocally(int typeId,
                               BinaryType meta,
                               boolean failIfUnregistered)
                        throws BinaryObjectException

Adds meta data locally on current node without sending any messages.

Specified by:
  `addMetaLocally` in interface `BinaryMetadataHandler`
Parameters:
  `typeId` - Type ID.
  `meta` - Metadata.
  `failIfUnregistered` - Fail if unregistered.
Throws:
  `BinaryObjectException` - In case of error.

#### metadata

    public BinaryType metadata(int typeId)
                        throws BinaryObjectException

Gets metadata for provided type ID.

Specified by:
  `metadata` in interface `BinaryMetadataHandler`
Parameters:
  `typeId` - Type ID.
Returns:
  Metadata.
Throws:
  `BinaryObjectException` - In case of error.

#### metadata0

    public BinaryMetadata metadata0(int typeId)
                             throws BinaryObjectException

Gets unwrapped metadata for provided type ID.

Specified by:
  `metadata0` in interface `BinaryMetadataHandler`
Parameters:
  `typeId` - Type ID.
Returns:
  Metadata.
Throws:
  `BinaryObjectException` - In case of error.

#### metadata

    public BinaryType metadata(int typeId,
                               int schemaId)
                        throws BinaryObjectException

Gets metadata for provided type ID and schema ID.

Specified by:
  `metadata` in interface `BinaryMetadataHandler`
Parameters:
  `typeId` - Type ID.
  `schemaId` - Schema ID.
Returns:
  Metadata.
Throws:
  `BinaryObjectException` - In case of error.

#### metadata

    public Collection<BinaryType> metadata()
                                    throws BinaryObjectException

Gets all metadata known to the node.

Specified by:
  `metadata` in interface `BinaryMetadataHandler`
Returns:
  Metadata collection
Throws:
  `BinaryObjectException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021